JSN uniform - Fehler im Backend

  • Hallo,

    seit heute bekomme ich eine Fehlermeldung im Backend, genauer zu sagen in JSN uniform in Übermittlungen.

    Verstehe nur, dass es sich um view.html.php und uniform.php und die angegebene Zeilen handelt.

    Könnte mir evtl. jemand bei der Deutung weiterhelfen?

    (Die Schriftart und die Schriftgröße in den Feldern des Formulares haben sich auch verändert und der Zugang zur Bearbeitung des Formulares wird nicht geladen bzw. lädt unendlich ohne vorran zu kommen)


    Gruß,

    Esox






    Deprecated: Function get_magic_quotes_gpc() is deprecated in /www/administrator/components/com_uniform/views/submissions/view.html.php on line 245


    Deprecated: Function get_magic_quotes_runtime() is deprecated in /www/administrator/components/com_uniform/views/submissions/view.html.php on line 245


    Deprecated: Function get_magic_quotes_gpc() is deprecated in /www/administrator/components/com_uniform/helpers/uniform.php on line 720


    Deprecated: Function get_magic_quotes_runtime() is deprecated in /www/administrator/components/com_uniform/helpers/uniform.php on line 720

  • Die Komponente verwendet Funktionen die in Verbindung mit älteren PHP-Versionen programmiert wurden und in neueren PHP-Version woh nicht mehr unterstützt werden.

    Also einfach Erweiterung aktualisieren! Vemutlich nutzt du eine veraltete Erweiterung.

    Kannst zunächst auch mal "Fehler berichten" ausstellen. Dann wird die Warnung zumindest nicht mehr angezeigt. Ist aber keine wirkliche Lösung.


    EDIT: Oder nutzt du bereits PHP 7.4?

  • Jetzt fällt es mir ein, dass ich gestern auf PHP 7.4 umgeschaltet habe.

    Ob es wohl daran liegt, ich versuche mal die Änderung rückgängig zu machen (auf 7.3).


    Sonst habe ich gestern meine Domains zum Transfer freigegeben/beantragt, ob es wohl daran liegen kann.

    (Vermute mal nicht =/)



    Ob eine Wiederherstellung aus BackUp helfen würde?

    Wahrscheinlich mit meinen Kentnissen (manuell) lieber nicht, oder?

    Oder kann ich versuchen die entsprechenden Ordner aus meine Akeeba BackUp hochzuladen?

  • PHP 7.4 kommt mit reichlich Deprecated-, Warning-, Notice-Medlungen daher, die bei Vorläufer-PHPs noch verschluckt wurden, obwohl auch da z.B. das get_magic_quotes_runtime schon veraltet (= deprecated) war. Deshalb leide ich gerade mit PHP 7.4 auf mehreren Seiten ;-)

    Kannst zunächst auch mal "Fehler berichten" ausstellen.

    Kannst es nach meiner Denke auch auf "Standard" stellen. Dann werden nur die gröbsten Fehler angezeigt und derzeit Unerhebliches nicht.